
------------------------------------------------------------------------
--
--  Licensed Materials - Property of IBM
--  Restricted Material of IBM
--  IBM Rational Test RealTime
--  (c) Copyright IBM Corp. 2003-2011 All Rights Reserved.
--
--  US Governement Users Restricted Rights - Use, duplication or
--  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
------------------------------------------------------------------------


-------------------------------------------------------------------------------
-- $Descr: Services for UniTesting TDP Ada$
-- attol_serv.ads
-------------------------------------------------------------------------------

with unchecked_conversion;
with system; use system;
with private_io;use private_io;
package attol_serv is

#if INIT_SUPPORTED == 0
pragma preelaborate;
#endif

  procedure put_hex_image ( VALUE : longest_integer ) ;
  procedure put_bin_image ( VALUE : longest_integer ) ;
  procedure init_float_image (fic:in out priv_file);
  procedure put_float_image(X:longest_float) ;
  procedure put_string(valeur: in string) ;
  procedure put_enum(valeur: in string) ;
end attol_serv;
--
-------------------------------------------------------------------------------
